
From: Zwane Mwaikambo <zwane@linuxpower.ca>

Small fix for NR_CPUS > BITS_PER_LONG



---

 25-akpm/kernel/rcupdate.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/rcupdate.c~hotplugcpu-rcupdate-many-cpus-fix kernel/rcupdate.c
--- 25/kernel/rcupdate.c~hotplugcpu-rcupdate-many-cpus-fix	Mon Feb 16 15:18:23 2004
+++ 25-akpm/kernel/rcupdate.c	Mon Feb 16 15:18:23 2004
@@ -182,7 +182,7 @@ static void rcu_offline_cpu(int cpu)
 	 * it here
 	 */
 	spin_lock_irq(&rcu_ctrlblk.mutex);
-	if (!rcu_ctrlblk.rcu_cpu_mask)
+	if (cpus_empty(rcu_ctrlblk.rcu_cpu_mask))
 		goto unlock;
 
 	cpu_clear(cpu, rcu_ctrlblk.rcu_cpu_mask);

_
